SystemOrganization addCategory: #'ISobot-Core'!
SystemOrganization addCategory: #'ISobot-Etoys'!

Morph subclass: #ISobotBodyPartMorph
	instanceVariableNames: 'isobotMorph isMouseOver'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Etoys'!

!ISobotBodyPartMorph class methodsFor: 'instance creation' stamp: 'Richo 2/25/2009 15:52'!
on: aMorph 
	^ (self basicNew setIsobotMorph: aMorph)  initialize! !

!ISobotBodyPartMorph methodsFor: 'drawing' stamp: 'Richo 2/27/2009 14:29'!
borderColor
	^ isobotMorph borderColor! !

!ISobotBodyPartMorph methodsFor: 'initialize-release' stamp: 'Richo 2/25/2009 15:48'!
delete
isobotMorph delete.
super delete! !

!ISobotBodyPartMorph methodsFor: 'drawing' stamp: 'Richo 2/26/2009 13:23'!
drawOn: aCanvas 
| form |
form := self form.
	aCanvas translucentImage: form at: self bounds center - form center! !

!ISobotBodyPartMorph methodsFor: 'viewer category filter' stamp: 'Richo 12/23/2009 17:03'!
filterViewerCategoryDictionary: dict
| validCategories |
super filterViewerCategoryDictionary: dict.
validCategories := self validCategories.
dict keys do: [:each|
	(validCategories includes: each)
		ifFalse: [
			dict removeKey: each
			].
	]! !

!ISobotBodyPartMorph methodsFor: 'drawing' stamp: 'Richo 2/27/2009 13:46'!
form
	^ isMouseOver
		ifTrue: [self class form shapeBorder: self borderColor width: 2]
		ifFalse: [self class form]! !

!ISobotBodyPartMorph methodsFor: 'event handling' stamp: 'Richo 2/25/2009 15:57'!
handlesMouseOver: evt
^true! !

!ISobotBodyPartMorph methodsFor: 'initialize-release' stamp: 'Richo 3/3/2009 14:56'!
initialize
	super initialize.
	isMouseOver := false.
	self extent: self class form extent + 4.
	self positionMyself! !

!ISobotBodyPartMorph methodsFor: 'accessing' stamp: 'Richo 2/26/2009 15:24'!
isMouseOver
^isMouseOver! !

!ISobotBodyPartMorph methodsFor: 'event handling' stamp: 'Richo 2/26/2009 15:42'!
mouseEnter: evt 
isobotMorph hasBorder: false.
	isMouseOver := true.
	self changed.
	self comeToFront! !

!ISobotBodyPartMorph methodsFor: 'event handling' stamp: 'Richo 2/26/2009 15:46'!
mouseLeave: evt 
isobotMorph hasBorder: true.
	isMouseOver := false.
	self changed! !

!ISobotBodyPartMorph methodsFor: 'accessing' stamp: 'Richo 2/26/2009 14:25'!
newPlayerInstance
^ISobotPlayer newUserInstance! !

!ISobotBodyPartMorph methodsFor: 'accessing' stamp: 'Richo 3/3/2009 14:59'!
position: aPoint
self positionMyself ! !

!ISobotBodyPartMorph methodsFor: 'initialize-release' stamp: 'Richo 3/3/2009 14:56'!
positionMyself
	super position: isobotMorph center + self relativeCenter - (self extent // 2)! !

!ISobotBodyPartMorph methodsFor: 'accessing' stamp: 'Richo 3/3/2009 14:57'!
relativeCenter
self subclassResponsibility! !

!ISobotBodyPartMorph methodsFor: 'private' stamp: 'Richo 2/25/2009 15:48'!
setIsobotMorph: aMorph
isobotMorph := aMorph! !

!ISobotBodyPartMorph methodsFor: 'viewer category filter' stamp: 'Richo 12/23/2009 17:03'!
validCategories
^self class allAdditionsToViewerCategories keys! !

ISobotBodyPartMorph subclass: #ISobotHeadMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Etoys'!

ISobotHeadMorph class
	instanceVariableNames: 'form'!

ISobotHeadMorph class
	instanceVariableNames: 'form'!

!ISobotHeadMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 14:23'!
additionsToViewerCategoryHead
 ^#(#'i-sobot - head'
((command turnHeadLeft '')(command turnHeadRight '')))! !

!ISobotHeadMorph class methodsFor: 'as yet unclassified' stamp: 'Richo 2/26/2009 13:17'!
defaultNameStemForInstances
	^ 'I-Sobot''s head'! !

!ISobotHeadMorph class methodsFor: 'form' stamp: 'Richo 2/25/2009 15:13'!
form
^form ifNil: [self initializeForm]! !

!ISobotHeadMorph class methodsFor: 'form' stamp: 'Richo 11/17/2009 16:04'!
initializeForm
^form :=   PEUtilities formFromEncodedPNG:  'iVBORw0KGgoAAAANSUhEUgAAADIAAAAjCAYAAADWtVmPAAAABHNCSVQFBQUBSsjp7wAAAuBJ
REFUeF7lWC2XqzAUrIxEIisrK5FI5MrKlStXIp98sj8HufL9pLo8JmHgcgkhpdD94px7+AhN
M3fmThIOv//4mYexQ3zxgRpj7PF4DAbay7K0VVVF3zMm+zygWZbZ8/lscY4B4XXsPYLEOSV5
+vfoezUTyDQyiY6QcWaegXv5pxikbuc1QSMxMRnyvyQI/AbPln47q3lkgZ3KAa4JOai5miqK
wrcXuT3c6iGaizXVKRWMmcgDGcYPY9pPDTKr5UbJoN0Nsh00Iq8rW9QXFwRGMJ7dCAsahLzf
ghGtffTva8Y/P9SFGzBA1LfG/mmDZzxDG8cSZEXqUktBFuojQfeL1hBk1IKpOwA6HFttO94P
Fj8zrxkZXGYLaXmGIZ85oAQimZBnx1gbs+6nGdEupKUVcq+l+9DgZbubZ5YY6YCwv2QgIclN
dV/3QZeLuZa+HvXVFfpr83fCyKV9Jgt+sUZokSEgMtNZ9tJ2dBsB4T19X9eA/h/d7uTS2S3c
qu4AOOfq6gN9ewtOmIRC1zJ78HsM+niu7du1sdd/N3v9wD2eNw7kvYwgw26Z02bcDbqTWX8N
cIUv9DzP04BITYeAGFO5zEsQDLIzVyMh6YbaWQ8IgCPL0aVKKFN0rRAQDrYHIc7l6xTIHCPa
7rW8Q/NQdFGSKi1qul1MeCCCiV5ep6YHslQjGoh8v58k79kijCg9mMUa8e/5GpEg3q9Nco3Q
UOYYSWJgCchSjXjfr3qXKi9kohm51lyNsJ3zFOcRynn1Jk0DkTN7bB7xhSfnkZcJiNDqV2Z8
MJBNdpmmX8DJQpMyWzujayDsUwLaCMQABv4sJSDXRlvtR7QrelY33++PmRm7xuMh+/V7+N0+
WpiRpPaMsb3uCOTRZXvK/uQpQL49I9zcP7r/WLrfGciwf99TVoNTPeXr5NhxtqiJT/q8auy+
8SQAek+9ZY3c+cVwPRAuU7Aj27o+5JLnG3zB//3HquM/GR6zNSsijpkAAAAASUVORK5CYII='! !

!ISobotHeadMorph methodsFor: 'accessing' stamp: 'Richo 3/3/2009 14:58'!
relativeCenter
^7@-96! !

!ISobotHeadMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
turnHeadLeft
isobotMorph turnHeadLeft! !

!ISobotHeadMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
turnHeadRight
isobotMorph turnHeadRight! !

ISobotBodyPartMorph subclass: #ISobotLeftArmMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Etoys'!

ISobotLeftArmMorph class
	instanceVariableNames: 'form'!

ISobotLeftArmMorph class
	instanceVariableNames: 'form'!

!ISobotLeftArmMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 15:56'!
additionsToViewerCategoryPunch
^ #(#'i-sobot - punch' #(#(#command #leftOneTwoPunch '') #(#command #comboPunch '') #(#command #slapping '') #(#command #leftBackhand '')  #(#command #leftPunch '')  #(#command #doubleChop '') #(#command #leftChop '')  #(#command #leftSideChop '') #(#command #upperChop '') #(#command #doubleBackhand '')))! !

!ISobotLeftArmMorph class methodsFor: 'as yet unclassified' stamp: 'Richo 2/26/2009 13:17'!
defaultNameStemForInstances
	^ 'I-Sobot''s left arm'! !

!ISobotLeftArmMorph class methodsFor: 'form' stamp: 'Richo 2/25/2009 15:24'!
form
^form ifNil: [self initializeForm]! !

!ISobotLeftArmMorph class methodsFor: 'form' stamp: 'Richo 11/17/2009 16:04'!
initializeForm
^form := PEUtilities formFromEncodedPNG:  'iVBORw0KGgoAAAANSUhEUgAAACIAAACRCAYAAACmGWoZAAAABHNCSVQFBQUBSsjp7wAABf1J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'! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
comboPunch
isobotMorph comboPunch! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
doubleBackhand
isobotMorph doubleBackhand! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
doubleChop
isobotMorph doubleChop! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
leftBackhand
isobotMorph leftBackhand! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
leftChop
isobotMorph leftChop! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
leftOneTwoPunch
isobotMorph leftOneTwoPunch! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
leftPunch
isobotMorph leftPunch! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
leftSideChop
isobotMorph leftSideChop! !

!ISobotLeftArmMorph methodsFor: 'accessing' stamp: 'Richo 3/3/2009 14:58'!
relativeCenter
	^ 57@-15! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
slapping
isobotMorph slapping! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
upperChop
isobotMorph upperChop! !

ISobotBodyPartMorph subclass: #ISobotLegsMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Etoys'!

ISobotLegsMorph class
	instanceVariableNames: 'form'!

ISobotLegsMorph class
	instanceVariableNames: 'form'!

!ISobotLegsMorph class methodsFor: 'viewer categories' stamp: 'Richo 3/17/2009 16:10'!
additionsToViewerCategoryKick
^#(#'i-sobot - kick'
((command leftSideKick '')(command rightForwardKick '')(command rightHighKick '')(command leftBackKick '')(command leftRightForwardKick '')(command leftHighKick '')(command leftRightRoundhouseKick '')(command splitsNumberOne '')(command comboKick '')(command rightSideKick '')(command leftRoundhouseKick '')(command rightRoundhouseKick '')(command leftForwardKick '')(command rightBackKick '')))
! !

!ISobotLegsMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 14:48'!
additionsToViewerCategoryLean
^  #(#'i-sobot - lean' #(##(#command #leanBackward '') #(#command #leanForward '') ))! !

!ISobotLegsMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 14:42'!
additionsToViewerCategoryWalk
^#(#'i-sobot - walk' #(#(#command #rotateForwardCounterClockwise '') #(#command #walkForwardCurveRight '') #(#command #walkBackwardCurveRight '')  #(#command #rotateForwardClockwise '') #(#command #walkForwardCurveLeft '') #(#command #sidestepLeft '') #(#command #sidestepRight '')  #(#command #rotateBackwardCounterClockwise '') #(#command #walkForward '')  #(#command #walkBackward '') #(#command #walkBackwardCurveLeft '') #(#command #rotateBackwardClockwise '')))! !

!ISobotLegsMorph class methodsFor: 'as yet unclassified' stamp: 'Richo 2/26/2009 13:17'!
defaultNameStemForInstances
	^ 'I-Sobot''s legs'! !

!ISobotLegsMorph class methodsFor: 'form' stamp: 'Richo 11/17/2009 16:12'!
form
	^ form
		ifNil: [self initializeForm]! !

!ISobotLegsMorph class methodsFor: 'form' stamp: 'Richo 11/17/2009 16:12'!
initializeForm
	^ form := PEUtilities formFromEncodedPNG: 'iVBORw0KGgoAAAANSUhEUgAAAIIAAAB6CAYAAABzwouJAAAABHNCSVQFBQUBSsjp7wAADE1J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'! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
comboKick
isobotMorph comboKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leanBackward
isobotMorph leanBackward! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leanForward
isobotMorph leanForward! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leftBackKick
isobotMorph leftBackKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leftForwardKick
isobotMorph leftForwardKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leftHighKick
isobotMorph leftHighKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leftRightForwardKick
isobotMorph leftRightForwardKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leftRightRoundhouseKick
isobotMorph leftRightRoundhouseKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leftRoundhouseKick
isobotMorph leftRoundhouseKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leftSideKick
isobotMorph leftSideKick! !

!ISobotLegsMorph methodsFor: 'accessing' stamp: 'Richo 3/3/2009 14:58'!
relativeCenter
	^ 1@52! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rightBackKick
isobotMorph rightBackKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rightForwardKick
isobotMorph rightForwardKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rightHighKick
isobotMorph rightHighKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rightRoundhouseKick
isobotMorph rightRoundhouseKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rightSideKick
isobotMorph rightSideKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rotateBackwardClockwise
isobotMorph rotateBackwardClockwise! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rotateBackwardCounterClockwise
isobotMorph rotateBackwardCounterClockwise! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rotateForwardClockwise
isobotMorph rotateForwardClockwise! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rotateForwardCounterClockwise
isobotMorph rotateForwardCounterClockwise! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
sidestepLeft
isobotMorph sidestepLeft! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
sidestepRight
isobotMorph sidestepRight! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
splitsNumberOne
isobotMorph splitsNumberOne! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
walkBackward
isobotMorph walkBackward! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
walkBackwardCurveLeft
isobotMorph walkBackwardCurveLeft! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
walkBackwardCurveRight
isobotMorph walkBackwardCurveRight! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
walkForward
isobotMorph walkForward! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
walkForwardCurveLeft
isobotMorph walkForwardCurveLeft! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
walkForwardCurveRight
isobotMorph walkForwardCurveRight! !

ISobotBodyPartMorph subclass: #ISobotRightArmMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Etoys'!

ISobotRightArmMorph class
	instanceVariableNames: 'form'!

ISobotRightArmMorph class
	instanceVariableNames: 'form'!

!ISobotRightArmMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 15:57'!
additionsToViewerCategoryPunch
	^ #(#'i-sobot - punch' #(#(#command #rightOneTwoPunch '') #(#command #comboPunch '') #(#command #slapping '') #(#command #rightBackhand '') #(#command #rightPunch '') #(#command #doubleChop '') #(#command #rightChop '') #(#command #rightSideChop '') #(#command #upperChop '') #(#command #doubleBackhand '')) )! !

!ISobotRightArmMorph class methodsFor: 'as yet unclassified' stamp: 'Richo 2/26/2009 13:18'!
defaultNameStemForInstances
	^ 'I-Sobot''s right arm'! !

!ISobotRightArmMorph class methodsFor: 'form' stamp: 'Richo 2/25/2009 15:25'!
form
^form ifNil: [self initializeForm]! !

!ISobotRightArmMorph class methodsFor: 'form' stamp: 'Richo 2/25/2009 16:58'!
initializeForm
	^ form := ISobotLeftArmMorph form flipBy: #horizontal centerAt: 0 @ 0! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
comboPunch
isobotMorph comboPunch! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
doubleBackhand
isobotMorph doubleBackhand! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
doubleChop
isobotMorph doubleChop! !

!ISobotRightArmMorph methodsFor: 'accessing' stamp: 'Richo 3/3/2009 14:58'!
relativeCenter
	^ -56@-15! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
rightBackhand
isobotMorph rightBackhand! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
rightChop
isobotMorph rightChop! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
rightOneTwoPunch
isobotMorph rightOneTwoPunch! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
rightPunch
isobotMorph rightPunch! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
rightSideChop
isobotMorph rightSideChop! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
slapping
isobotMorph slapping! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
upperChop
isobotMorph upperChop! !

Morph subclass: #ISobotMorph
	instanceVariableNames: 'isobot hasBorder port'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Etoys'!

ISobotMorph class
	instanceVariableNames: 'form'!

ISobotMorph class
	instanceVariableNames: 'form'!

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 3/3/2009 14:52'!
additionsToViewerCategoryConnection
 ^#(#'i-sobot - connection'
((command connect '' )
(command disconnect '' )
(slot port '' Number readWrite Player getPort Player setPort:)
(slot channel '' ISobotChannel readWrite Player getChannel Player setChannel:)
(slot isConnected '' Boolean readOnly Player getIsConnected Player unused)
))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:32'!
additionsToViewerCategoryEmotion
^#(#'i-sobot - emotion'
((command party '')(command excitedTwo '')(command begOne '')(command begTwo '')(command painOne '')(command excitedOne '')(command regretTwo '')(command excitedFour '')(command regretThree '')(command regretOne '')(command hilarious '')(command painTwo '')(command merry '')(command worry '')(command excitedThree '')(command amazed '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:32'!
additionsToViewerCategoryGuard
^#
(#'i-sobot - guard'
((command upSweepBlock '')(command comboGuard '')(command twoHandGuardOne '')(command splitsTwo '')(command dodgeLeft '')(command duck '')(command dodgeRight '')(command leftGuard '')(command twoHandGuardTwo '')(command rightGuard '')(command swayBack '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:33'!
additionsToViewerCategoryKick
^#(#'i-sobot - kick'
((command leftSideKick '')(command rightForwardKick '')(command rightHighKick '')(command leftBackKick '')(command leftRightForwardKick '')(command leftHighKick '')(command leftRightRoundhouseKick '')(command splitsNumberOne '')(command comboKick '')(command rightSideKick '')(command leftRoundhouseKick '')(command rightRoundhouseKick '')(command leftForwardKick '')(command rightBackKick '')))
! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:36'!
additionsToViewerCategoryMisc
^#(#'i-sobot - misc'
((command stop '')(command soundsOff '')(command soundsOn '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:31'!
additionsToViewerCategoryMistery
^#(#'i-sobot - mistery'
((command mysteryThree '')(command mysteryOne '')(command mysteryFour '')(command mysteryTwo '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:32'!
additionsToViewerCategoryModes
^#(#'i-sobot - modes'
((command armsMode '')(command specialactionmode '')(command voicecontrolmode '')(command remotecontrolmode '')(command programmode '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:37'!
additionsToViewerCategoryMovement
 ^#(#'i-sobot - movement'
((command rotateForwardCounterClockwise '')(command walkForwardCurveRight '')(command walkBackwardCurveRight '')(command lockArms '')(command turnHeadLeft '')(command leanBackward '')(command rotateForwardClockwise '')(command walkForwardCurveLeft '')(command sidestepLeft '')(command sidestepRight '')(command leanForward '')(command rotateBackwardCounterClockwise '')(command walkForward '')(command turnHeadRight '')(command walkBackward '')(command walkBackwardCurveLeft '')(command rotateBackwardClockwise '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:31'!
additionsToViewerCategoryPhrases
^#(#'i-sobot - phrases'
((command affirm '')(command greetTwo '')(command goodMorning '')(command respect '')(command byeThree '')(command byeTwo '')(command greetFour '')(command greetThree '')(command greetOne '')(command disagree '')(command loveThree '')(command thanksOne '')(command thanksTwo '')(command loveTwo '')(command byeFive '')(command loveOne '')(command byeFour '')(command byeOne '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:33'!
additionsToViewerCategoryProgramming
^#(#'i-sobot - programming'
((command threeSecondPause '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:33'!
additionsToViewerCategoryPunch
^#(#'i-sobot - punch'
((command rightBackhand '')(command leftOneTwoPunch '')(command comboPunch '')(command slapping '')(command rightChop '')(command leftBackhand '')(command rightSideChop '')(command leftPunch '')(command rightPunch '')(command doubleChop '')(command leftChop '')(command rightOneTwoPunch '')(command leftSideChop '')(command upperChop '')(command doubleBackhand '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:36'!
additionsToViewerCategoryShowcase
 ^#(#'i-sobot - showcase'
((command mysteryFive '')(command showOffTwo '')(command poseOne '')(command poseTwo '')(command waveTwo '')(command tooSexy '')(command waveOne '')(command tipsy '')(command tickleMeiSOBOT '')(command hideAndSeek '')(command applause '')(command soccerTwo '')(command showOffThree '')(command youLike '')(command tiredFeet '')(command mysterySix '')(command comingThrough '')(command soccerOne '')(command showOffOne '')(command countOnMe '')(command articulation '')(command catch '')(command needABreak '')(command poseThree '')(command soccerThree '')(command relax '')(command lift '')(command showOffFour '')(command clink '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:37'!
additionsToViewerCategorySpecial
 ^#(#'i-sobot - special'
((command tropicalDance '')(command airGuitar '')(command banzai '')(command robotGorilla '')(command forwardSomersault '')(command headstandExercises '')(command robotCat '')(command robotDog '')(command martialArts '')(command westernMovieScene '')(command airDrum '')(command robotEagle '')(command giantRobot '')(command exercises '')(command japanCheer '')(command robotRooster '')(command taiChi '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:36'!
additionsToViewerCategoryStandUp
 ^#(#'i-sobot - standUp'
((command standUpFaceDown '')(command standUpFaceUp '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:30'!
additionsToViewerCategoryUtility
^#(#'i-sobot - utility'
((command zeroPosition '')))! !

!ISobotMorph class methodsFor: 'parts bin' stamp: 'Richo 2/11/2010 17:47'!
descriptionForPartsBin
	"Answer a description for use in parts bins"
	^ self
		partName: 'I-Sobot'
		categories: #('IR Robots')
		documentation: ''! !

!ISobotMorph class methodsFor: 'form' stamp: 'Richo 2/26/2009 14:55'!
form
^form ifNil: [self initializeForm]! !

!ISobotMorph class methodsFor: 'initializing' stamp: 'Richo 12/23/2009 17:17'!
initialize
	super initialize.
	
	Vocabulary addStandardVocabulary: (SymbolListType new vocabularyName: #ISobotChannel;
			 symbols: #(#A #B ))! !

!ISobotMorph class methodsFor: 'form' stamp: 'Richo 11/17/2009 16:03'!
initializeForm

^form := PEUtilities formFromEncodedPNG:  'iVBORw0KGgoAAAANSUhEUgAAAJMAAADiCAYAAABKm/VxAAAABHNCSVQFBQUBSsjp7wAAH1FJ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'! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
affirm
isobot send: isobot affirm! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 2/25/2009 16:52'!
airDrum
isobot send: isobot airDrum! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 2/25/2009 16:52'!
airGuitar
isobot send: isobot airGuitar! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 2/25/2009 16:52'!
amazed
isobot send: isobot amazed! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
applause
isobot send: isobot applause! !

!ISobotMorph methodsFor: 'commands-modes' stamp: 'Richo 2/25/2009 16:52'!
armsMode
isobot send: isobot armsMode! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
articulation
isobot send: isobot articulation! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 2/25/2009 16:52'!
banzai
isobot send: isobot banzai! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 2/25/2009 16:52'!
begOne
isobot send: isobot begOne! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 2/25/2009 16:52'!
begTwo
isobot send: isobot begTwo! !

!ISobotMorph methodsFor: 'drawing' stamp: 'Richo 2/26/2009 15:41'!
borderColor
	^ self isChannelA
		ifTrue: [Color blue]
		ifFalse: [Color red]! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
byeFive
isobot send: isobot byeFive! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
byeFour
isobot send: isobot byeFour! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
byeOne
isobot send: isobot byeOne! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
byeThree
isobot send: isobot byeThree! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
byeTwo
isobot send: isobot byeTwo! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
catch
isobot send: isobot catch! !

!ISobotMorph methodsFor: 'accessing' stamp: 'Richo 2/26/2009 13:21'!
channel
	self isChannelA
		ifTrue: [^ #A]
		ifFalse: [^ #B]! !

!ISobotMorph methodsFor: 'accessing' stamp: 'Richo 2/25/2009 16:44'!
channel: anObject 
	anObject = #A
		ifTrue: [isobot setChannelA]
		ifFalse: [isobot setChannelB]! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
clink
isobot send: isobot clink! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 2/25/2009 16:52'!
comboGuard
isobot send: isobot comboGuard! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 2/25/2009 16:52'!
comboKick
isobot send: isobot comboKick! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 2/25/2009 16:52'!
comboPunch
isobot send: isobot comboPunch! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
comingThrough
isobot send: isobot comingThrough! !

!ISobotMorph methodsFor: 'commands-connection' stamp: 'Richo 3/3/2009 14:51'!
connect
	isobot connectOnPort: port! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
countOnMe
isobot send: isobot countOnMe! !

!ISobotMorph methodsFor: 'testing' stamp: 'Richo 12/23/2009 17:18'!
defersHaloToInteriorMorph: aMorph
	"Answer whether  when a halo-click goes down over some subobject within me, I should defer to it rather than seize the halo myself."

	^ aMorph hasOwner: self! !

!ISobotMorph methodsFor: 'initialize-release' stamp: 'Richo 2/25/2009 16:43'!
delete
	self disconnect.
	super delete! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
disagree
isobot send: isobot disagree! !

!ISobotMorph methodsFor: 'commands-connection' stamp: 'Richo 2/25/2009 16:52'!
disconnect
isobot disconnect! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 2/25/2009 16:52'!
dodgeLeft
isobot send: isobot dodgeLeft! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 2/25/2009 16:52'!
dodgeRight
isobot send: isobot dodgeRight! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 2/25/2009 16:52'!
doubleBackhand
isobot send: isobot doubleBackhand! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 2/25/2009 16:52'!
doubleChop
isobot send: isobot doubleChop! !

!ISobotMorph methodsFor: 'drawing' stamp: 'Richo 2/26/2009 14:56'!
drawOn: aCanvas 
| form |
form := self form.
	aCanvas translucentImage: form at: self bounds center - form center! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 2/25/2009 16:52'!
duck
isobot send: isobot duck! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 2/25/2009 16:52'!
excitedFour
isobot send: isobot excitedFour! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 2/25/2009 16:52'!
excitedOne
isobot send: isobot excitedOne! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 2/25/2009 16:52'!
excitedThree
isobot send: isobot excitedThree! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 2/25/2009 16:52'!
excitedTwo
isobot send: isobot excitedTwo! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 2/25/2009 16:52'!
exercises
isobot send: isobot exercises! !

!ISobotMorph methodsFor: 'viewer category filter' stamp: 'Richo 12/23/2009 17:00'!
filterViewerCategoryDictionary: dict
| validCategories |
super filterViewerCategoryDictionary: dict.
validCategories := self validCategories.
dict keys do: [:each|
	(validCategories includes: each)
		ifFalse: [
			dict removeKey: each
			].
	]! !

!ISobotMorph methodsFor: 'drawing' stamp: 'Richo 2/27/2009 13:46'!
form
	^ hasBorder
		ifTrue: [self class form shapeBorder: self borderColor width: 2]
		ifFalse: [self class form]! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 2/25/2009 16:52'!
forwardSomersault
isobot send: isobot forwardSomersault! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 2/25/2009 16:52'!
giantRobot
isobot send: isobot giantRobot! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
goodMorning
isobot send: isobot goodMorning! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
greetFour
isobot send: isobot greetFour! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
greetOne
isobot send: isobot greetOne! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
greetThree
isobot send: isobot greetThree! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
greetTwo
isobot send: isobot greetTwo! !

!ISobotMorph methodsFor: 'event handling' stamp: 'Richo 2/26/2009 15:42'!
handlesMouseOver: evt 
	^ true! !

!ISobotMorph methodsFor: 'drawing' stamp: 'Richo 2/26/2009 15:40'!
hasBorder: aBoolean
hasBorder := aBoolean.
self changed.! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 2/25/2009 16:52'!
headstandExercises
isobot send: isobot headstandExercises! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
hideAndSeek
isobot send: isobot hideAndSeek! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 2/25/2009 16:52'!
hilarious
isobot send: isobot hilarious! !

!ISobotMorph methodsFor: 'initialize-release' stamp: 'Richo 3/3/2009 14:50'!
initialize
	super initialize.
	self color: Color transparent;
		 extent: 143 @ 222.
	self initializeSubmorphs.
	port := 1.
	isobot := ISobot new.
	hasBorder := false! !

!ISobotMorph methodsFor: 'initialize-release' stamp: 'Richo 3/3/2009 14:56'!
initializeSubmorphs
	self
		addMorph: ((ISobotLeftArmMorph on: self)).
	self
		addMorph: ((ISobotRightArmMorph on: self)).
	self
		addMorph: ((ISobotLegsMorph on: self)).
	self
		addMorph: ((ISobotHeadMorph on: self))! !

!ISobotMorph methodsFor: 'testing' stamp: 'Richo 2/26/2009 13:21'!
isChannelA
^isobot channel = ISobotChannelA! !

!ISobotMorph methodsFor: 'accessing' stamp: 'Richo 2/25/2009 16:44'!
isConnected
	^ isobot isConnected! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 2/25/2009 16:52'!
japanCheer
isobot send: isobot japanCheer! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 2/25/2009 16:52'!
leanBackward
isobot send: isobot leanBackward! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 2/25/2009 16:52'!
leanForward
isobot send: isobot leanForward! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 2/25/2009 16:52'!
leftBackKick
isobot send: isobot leftBackKick! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 2/25/2009 16:52'!
leftBackhand
isobot send: isobot leftBackhand! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 2/25/2009 16:52'!
leftChop
isobot send: isobot leftChop! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 2/25/2009 16:52'!
leftForwardKick
isobot send: isobot leftForwardKick! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 2/25/2009 16:52'!
leftGuard
isobot send: isobot leftGuard! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 2/25/2009 16:52'!
leftHighKick
isobot send: isobot leftHighKick! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 2/25/2009 16:52'!
leftOneTwoPunch
isobot send: isobot leftOneTwoPunch! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 2/25/2009 16:52'!
leftPunch
isobot send: isobot leftPunch! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 2/25/2009 16:52'!
leftRightForwardKick
isobot send: isobot leftRightForwardKick! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 2/25/2009 16:52'!
leftRightRoundhouseKick
isobot send: isobot leftRightRoundhouseKick! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 2/25/2009 16:52'!
leftRoundhouseKick
isobot send: isobot leftRoundhouseKick! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 2/25/2009 16:52'!
leftSideChop
isobot send: isobot leftSideChop! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 2/25/2009 16:52'!
leftSideKick
isobot send: isobot leftSideKick! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
lift
isobot send: isobot lift! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 2/25/2009 16:52'!
lockArms
isobot send: isobot lockArms! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
loveOne
isobot send: isobot loveOne! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
loveThree
isobot send: isobot loveThree! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
loveTwo
isobot send: isobot loveTwo! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 2/25/2009 16:52'!
martialArts
isobot send: isobot martialArts! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 2/25/2009 16:52'!
merry
isobot send: isobot merry! !

!ISobotMorph methodsFor: 'event handling' stamp: 'Richo 2/26/2009 15:43'!
mouseEnter: evt 
self hasBorder: true! !

!ISobotMorph methodsFor: 'event handling' stamp: 'Richo 2/26/2009 15:43'!
mouseLeave: evt 
	self hasBorder: false! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
mysteryFive
isobot send: isobot mysteryFive! !

!ISobotMorph methodsFor: 'commands-mistery' stamp: 'Richo 2/25/2009 16:52'!
mysteryFour
isobot send: isobot mysteryFour! !

!ISobotMorph methodsFor: 'commands-mistery' stamp: 'Richo 2/25/2009 16:52'!
mysteryOne
isobot send: isobot mysteryOne! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
mysterySix
isobot send: isobot mysterySix! !

!ISobotMorph methodsFor: 'commands-mistery' stamp: 'Richo 2/25/2009 16:52'!
mysteryThree
isobot send: isobot mysteryThree! !

!ISobotMorph methodsFor: 'commands-mistery' stamp: 'Richo 2/25/2009 16:52'!
mysteryTwo
isobot send: isobot mysteryTwo! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
needABreak
isobot send: isobot needABreak! !

!ISobotMorph methodsFor: 'initialize-release' stamp: 'Richo 2/25/2009 16:43'!
newPlayerInstance
	^ ISobotPlayer newUserInstance! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 2/25/2009 16:52'!
painOne
isobot send: isobot painOne! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 2/25/2009 16:52'!
painTwo
isobot send: isobot painTwo! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 2/25/2009 16:52'!
party
isobot send: isobot party! !

!ISobotMorph methodsFor: 'accessing' stamp: 'Richo 3/3/2009 14:48'!
port
^port
! !

!ISobotMorph methodsFor: 'accessing' stamp: 'Richo 3/3/2009 14:50'!
port: aNumber 
self isConnected ifTrue: [^self].
	port := aNumber! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
poseOne
isobot send: isobot poseOne! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
poseThree
isobot send: isobot poseThree! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
poseTwo
isobot send: isobot poseTwo! !

!ISobotMorph methodsFor: 'commands-modes' stamp: 'Richo 2/25/2009 16:52'!
programmode
isobot send: isobot programmode! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 2/25/2009 16:52'!
regretOne
isobot send: isobot regretOne! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 2/25/2009 16:52'!
regretThree
isobot send: isobot regretThree! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 2/25/2009 16:52'!
regretTwo
isobot send: isobot regretTwo! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
relax
isobot send: isobot relax! !

!ISobotMorph methodsFor: 'commands-modes' stamp: 'Richo 2/25/2009 16:52'!
remotecontrolmode
isobot send: isobot remotecontrolmode! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
respect
isobot send: isobot respect! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 2/25/2009 16:52'!
rightBackKick
isobot send: isobot rightBackKick! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 2/25/2009 16:52'!
rightBackhand
isobot send: isobot rightBackhand! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 2/25/2009 16:52'!
rightChop
isobot send: isobot rightChop! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 2/25/2009 16:52'!
rightForwardKick
isobot send: isobot rightForwardKick! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 2/25/2009 16:52'!
rightGuard
isobot send: isobot rightGuard! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 2/25/2009 16:52'!
rightHighKick
isobot send: isobot rightHighKick! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 2/25/2009 16:52'!
rightOneTwoPunch
isobot send: isobot rightOneTwoPunch! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 2/25/2009 16:52'!
rightPunch
isobot send: isobot rightPunch! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 2/25/2009 16:52'!
rightRoundhouseKick
isobot send: isobot rightRoundhouseKick! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 2/25/2009 16:52'!
rightSideChop
isobot send: isobot rightSideChop! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 2/25/2009 16:52'!
rightSideKick
isobot send: isobot rightSideKick! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 2/25/2009 16:52'!
robotCat
isobot send: isobot robotCat! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 2/25/2009 16:52'!
robotDog
isobot send: isobot robotDog! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 2/25/2009 16:52'!
robotEagle
isobot send: isobot robotEagle! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 2/25/2009 16:52'!
robotGorilla
isobot send: isobot robotGorilla! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 2/25/2009 16:52'!
robotRooster
isobot send: isobot robotRooster! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 2/25/2009 16:52'!
rotateBackwardClockwise
isobot send: isobot rotateBackwardClockwise! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 2/25/2009 16:52'!
rotateBackwardCounterClockwise
isobot send: isobot rotateBackwardCounterClockwise! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 2/25/2009 16:52'!
rotateForwardClockwise
isobot send: isobot rotateForwardClockwise! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 2/25/2009 16:52'!
rotateForwardCounterClockwise
isobot send: isobot rotateForwardCounterClockwise! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
showOffFour
isobot send: isobot showOffFour! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
showOffOne
isobot send: isobot showOffOne! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
showOffThree
isobot send: isobot showOffThree! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
showOffTwo
isobot send: isobot showOffTwo! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 2/25/2009 16:52'!
sidestepLeft
isobot send: isobot sidestepLeft! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 2/25/2009 16:52'!
sidestepRight
isobot send: isobot sidestepRight! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 2/25/2009 16:52'!
slapping
isobot send: isobot slapping! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
soccerOne
isobot send: isobot soccerOne! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
soccerThree
isobot send: isobot soccerThree! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
soccerTwo
isobot send: isobot soccerTwo! !

!ISobotMorph methodsFor: 'commands-misc' stamp: 'Richo 2/25/2009 16:52'!
soundsOff
isobot send: isobot soundsOff! !

!ISobotMorph methodsFor: 'commands-misc' stamp: 'Richo 2/25/2009 16:52'!
soundsOn
isobot send: isobot soundsOn! !

!ISobotMorph methodsFor: 'commands-modes' stamp: 'Richo 2/25/2009 16:52'!
specialactionmode
isobot send: isobot specialactionmode! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 2/25/2009 16:52'!
splitsNumberOne
isobot send: isobot splitsNumberOne! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 2/25/2009 16:52'!
splitsTwo
isobot send: isobot splitsTwo! !

!ISobotMorph methodsFor: 'commands-standUp' stamp: 'Richo 2/25/2009 16:52'!
standUpFaceDown
isobot send: isobot standUpFaceDown! !

!ISobotMorph methodsFor: 'commands-standUp' stamp: 'Richo 2/25/2009 16:52'!
standUpFaceUp
isobot send: isobot standUpFaceUp! !

!ISobotMorph methodsFor: 'commands-misc' stamp: 'Richo 2/25/2009 16:52'!
stop
isobot send: isobot stop! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 2/25/2009 16:52'!
swayBack
isobot send: isobot swayBack! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 2/25/2009 16:52'!
taiChi
isobot send: isobot taiChi! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
thanksOne
isobot send: isobot thanksOne! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 2/25/2009 16:52'!
thanksTwo
isobot send: isobot thanksTwo! !

!ISobotMorph methodsFor: 'commands-programming' stamp: 'Richo 2/25/2009 16:52'!
threeSecondPause
isobot send: isobot threeSecondPause! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
tickleMeiSOBOT
isobot send: isobot tickleMeiSOBOT! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
tipsy
isobot send: isobot tipsy! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
tiredFeet
isobot send: isobot tiredFeet! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
tooSexy
isobot send: isobot tooSexy! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 2/25/2009 16:52'!
tropicalDance
isobot send: isobot tropicalDance! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 2/25/2009 16:52'!
turnHeadLeft
isobot send: isobot turnHeadLeft! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 2/25/2009 16:52'!
turnHeadRight
isobot send: isobot turnHeadRight! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 2/25/2009 16:52'!
twoHandGuardOne
isobot send: isobot twoHandGuardOne! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 2/25/2009 16:52'!
twoHandGuardTwo
isobot send: isobot twoHandGuardTwo! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 2/25/2009 16:52'!
upSweepBlock
isobot send: isobot upSweepBlock! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 2/25/2009 16:52'!
upperChop
isobot send: isobot upperChop! !

!ISobotMorph methodsFor: 'viewer category filter' stamp: 'Richo 12/23/2009 17:03'!
validCategories
^self class allAdditionsToViewerCategories keys! !

!ISobotMorph methodsFor: 'commands-modes' stamp: 'Richo 2/25/2009 16:52'!
voicecontrolmode
isobot send: isobot voicecontrolmode! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 2/25/2009 16:52'!
walkBackward
isobot send: isobot walkBackward! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 2/25/2009 16:52'!
walkBackwardCurveLeft
isobot send: isobot walkBackwardCurveLeft! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 2/25/2009 16:52'!
walkBackwardCurveRight
isobot send: isobot walkBackwardCurveRight! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 2/25/2009 16:52'!
walkForward
isobot send: isobot walkForward! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 2/25/2009 16:52'!
walkForwardCurveLeft
isobot send: isobot walkForwardCurveLeft! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 2/25/2009 16:52'!
walkForwardCurveRight
isobot send: isobot walkForwardCurveRight! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
waveOne
isobot send: isobot waveOne! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
waveTwo
isobot send: isobot waveTwo! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 2/25/2009 16:52'!
westernMovieScene
isobot send: isobot westernMovieScene! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 2/25/2009 16:52'!
worry
isobot send: isobot worry! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 2/25/2009 16:52'!
youLike
isobot send: isobot youLike! !

!ISobotMorph methodsFor: 'commands-utility' stamp: 'Richo 2/25/2009 16:52'!
zeroPosition
isobot send: isobot zeroPosition! !

Object subclass: #ISobot
	instanceVariableNames: 'channel ir'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Core'!

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
affirm
^channel affirm! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:12'!
airDrum
^channel airDrum! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:12'!
airGuitar
^channel airGuitar! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:12'!
amazed
^channel amazed! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
applause
^channel applause! !

!ISobot methodsFor: 'commands-modes' stamp: 'Richo 2/9/2009 14:45'!
armsMode
^channel armsMode! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
articulation
^channel articulation! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:12'!
banzai
^channel banzai! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:12'!
begOne
^channel begOne! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:12'!
begTwo
^channel begTwo! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
byeFive
^channel byeFive! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
byeFour
^channel byeFour! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
byeOne
^channel byeOne! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
byeThree
^channel byeThree! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
byeTwo
^channel byeTwo! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
catch
^channel catch! !

!ISobot methodsFor: 'accessing' stamp: 'Richo 2/9/2009 15:07'!
channel
^channel! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
clink
^channel clink! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:12'!
comboGuard
^channel comboGuard! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:12'!
comboKick
^channel comboKick! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:12'!
comboPunch
^channel comboPunch! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
comingThrough
^channel comingThrough! !

!ISobot methodsFor: 'connection' stamp: 'Richo 11/17/2009 10:11'!
connectOnPort: aNumber 
self disconnect.
ir := LegoIRTower onPort: aNumber.
ir connect.! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
countOnMe
^channel countOnMe! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
disagree
^channel disagree! !

!ISobot methodsFor: 'connection' stamp: 'Richo 2/10/2009 14:21'!
disconnect
ir isNil ifFalse: [
	ir disconnect.
	ir := nil]! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:12'!
dodgeLeft
^channel dodgeLeft! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:12'!
dodgeRight
^channel dodgeRight! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:12'!
doubleBackhand
^channel doubleBackhand! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:12'!
doubleChop
^channel doubleChop! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:12'!
duck
^channel duck! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:12'!
excitedFour
^channel excitedFour! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:12'!
excitedOne
^channel excitedOne! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:12'!
excitedThree
^channel excitedThree! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:12'!
excitedTwo
^channel excitedTwo! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:12'!
exercises
^channel exercises! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:12'!
forwardSomersault
^channel forwardSomersault! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:12'!
giantRobot
^channel giantRobot! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
goodMorning
^channel goodMorning! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
greetFour
^channel greetFour! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
greetOne
^channel greetOne! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
greetThree
^channel greetThree! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
greetTwo
^channel greetTwo! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:12'!
headstandExercises
^channel headstandExercises! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
hideAndSeek
^channel hideAndSeek! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:12'!
hilarious
^channel hilarious! !

!ISobot methodsFor: 'initializing' stamp: 'Richo 2/10/2009 14:18'!
initialize
	self setChannelA.
! !

!ISobot methodsFor: 'accessing' stamp: 'Richo 11/17/2009 10:12'!
isConnected
^ir notNil and: [ir isConnected]! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:12'!
japanCheer
^channel japanCheer! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:12'!
leanBackward
^channel leanBackward! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:12'!
leanForward
^channel leanForward! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:12'!
leftBackKick
^channel leftBackKick! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:12'!
leftBackhand
^channel leftBackhand! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:12'!
leftChop
^channel leftChop! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:12'!
leftForwardKick
^channel leftForwardKick! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:12'!
leftGuard
^channel leftGuard! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:12'!
leftHighKick
^channel leftHighKick! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:12'!
leftOneTwoPunch
^channel leftOneTwoPunch! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:12'!
leftPunch
^channel leftPunch! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:12'!
leftRightForwardKick
^channel leftRightForwardKick! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:12'!
leftRightRoundhouseKick
^channel leftRightRoundhouseKick! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:12'!
leftRoundhouseKick
^channel leftRoundhouseKick! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:12'!
leftSideChop
^channel leftSideChop! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:12'!
leftSideKick
^channel leftSideKick! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
lift
^channel lift! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:12'!
lockArms
^channel lockArms! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
loveOne
^channel loveOne! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
loveThree
^channel loveThree! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
loveTwo
^channel loveTwo! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:12'!
martialArts
^channel martialArts! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:12'!
merry
^channel merry! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
mysteryFive
^channel mysteryFive! !

!ISobot methodsFor: 'commands-mistery' stamp: 'Richo 2/9/2009 14:12'!
mysteryFour
^channel mysteryFour! !

!ISobot methodsFor: 'commands-mistery' stamp: 'Richo 2/9/2009 14:12'!
mysteryOne
^channel mysteryOne! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
mysterySix
^channel mysterySix! !

!ISobot methodsFor: 'commands-mistery' stamp: 'Richo 2/9/2009 14:12'!
mysteryThree
^channel mysteryThree! !

!ISobot methodsFor: 'commands-mistery' stamp: 'Richo 2/9/2009 14:12'!
mysteryTwo
^channel mysteryTwo! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
needABreak
^channel needABreak! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:12'!
painOne
^channel painOne! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:12'!
painTwo
^channel painTwo! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:12'!
party
^channel party! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
poseOne
^channel poseOne! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
poseThree
^channel poseThree! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
poseTwo
^channel poseTwo! !

!ISobot methodsFor: 'commands-modes' stamp: 'Richo 2/9/2009 14:45'!
programMode
^channel programMode! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:12'!
regretOne
^channel regretOne! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:12'!
regretThree
^channel regretThree! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:12'!
regretTwo
^channel regretTwo! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
relax
^channel relax! !

!ISobot methodsFor: 'commands-modes' stamp: 'Richo 2/9/2009 14:45'!
remotecontrolmode
^channel remotecontrolmode! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
respect
^channel respect! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:12'!
rightBackKick
^channel rightBackKick! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:12'!
rightBackhand
^channel rightBackhand! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:12'!
rightChop
^channel rightChop! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:12'!
rightForwardKick
^channel rightForwardKick! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:12'!
rightGuard
^channel rightGuard! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:12'!
rightHighKick
^channel rightHighKick! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:12'!
rightOneTwoPunch
^channel rightOneTwoPunch! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:12'!
rightPunch
^channel rightPunch! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:12'!
rightRoundhouseKick
^channel rightRoundhouseKick! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:12'!
rightSideChop
^channel rightSideChop! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:12'!
rightSideKick
^channel rightSideKick! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:12'!
robotCat
^channel robotCat! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:12'!
robotDog
^channel robotDog! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:12'!
robotEagle
^channel robotEagle! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:12'!
robotGorilla
^channel robotGorilla! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:12'!
robotRooster
^channel robotRooster! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:12'!
rotateBackwardClockwise
^channel rotateBackwardClockwise! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:12'!
rotateBackwardCounterClockwise
^channel rotateBackwardCounterClockwise! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:12'!
rotateForwardClockwise
^channel rotateForwardClockwise! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:12'!
rotateForwardCounterClockwise
^channel rotateForwardCounterClockwise! !

!ISobot methodsFor: 'sending' stamp: 'Richo 2/10/2009 14:19'!
send: hexCode 
ir isNil ifFalse: [ir send: hexCode noWakeUp: 0]! !

!ISobot methodsFor: 'accessing' stamp: 'Richo 2/9/2009 14:14'!
setChannelA
channel := ISobotChannelA! !

!ISobot methodsFor: 'accessing' stamp: 'Richo 2/9/2009 14:14'!
setChannelB
	channel := ISobotChannelB! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
showOffFour
^channel showOffFour! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
showOffOne
^channel showOffOne! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
showOffThree
^channel showOffThree! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
showOffTwo
^channel showOffTwo! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:12'!
sidestepLeft
^channel sidestepLeft! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:12'!
sidestepRight
^channel sidestepRight! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:12'!
slapping
^channel slapping! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
soccerOne
^channel soccerOne! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
soccerThree
^channel soccerThree! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
soccerTwo
^channel soccerTwo! !

!ISobot methodsFor: 'commands-misc' stamp: 'Richo 2/9/2009 14:12'!
soundsOff
^channel soundsOff! !

!ISobot methodsFor: 'commands-misc' stamp: 'Richo 2/9/2009 14:12'!
soundsOn
^channel soundsOn! !

!ISobot methodsFor: 'commands-modes' stamp: 'Richo 2/9/2009 14:12'!
specialactionmode
^channel specialactionmode! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:12'!
splitsNumberOne
^channel splitsNumberOne! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:12'!
splitsTwo
^channel splitsTwo! !

!ISobot methodsFor: 'commands-standUp' stamp: 'Richo 2/9/2009 14:12'!
standUpFaceDown
^channel standUpFaceDown! !

!ISobot methodsFor: 'commands-standUp' stamp: 'Richo 2/9/2009 14:12'!
standUpFaceUp
^channel standUpFaceUp! !

!ISobot methodsFor: 'commands-misc' stamp: 'Richo 2/9/2009 14:12'!
stop
^channel stop! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:12'!
swayBack
^channel swayBack! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:12'!
taiChi
^channel taiChi! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
thanksOne
^channel thanksOne! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:12'!
thanksTwo
^channel thanksTwo! !

!ISobot methodsFor: 'commands-programming' stamp: 'Richo 2/9/2009 14:12'!
threeSecondPause
^channel threeSecondPause! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
tickleMeiSOBOT
^channel tickleMeiSOBOT! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
tipsy
^channel tipsy! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
tiredFeet
^channel tiredFeet! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
tooSexy
^channel tooSexy! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:12'!
tropicalDance
^channel tropicalDance! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:12'!
turnHeadLeft
^channel turnHeadLeft! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:12'!
turnHeadRight
^channel turnHeadRight! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:12'!
twoHandGuardOne
^channel twoHandGuardOne! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:12'!
twoHandGuardTwo
^channel twoHandGuardTwo! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:12'!
upSweepBlock
^channel upSweepBlock! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:12'!
upperChop
^channel upperChop! !

!ISobot methodsFor: 'commands-modes' stamp: 'Richo 2/9/2009 14:12'!
voicecontrolmode
^channel voicecontrolmode! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:12'!
walkBackward
^channel walkBackward! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:12'!
walkBackwardCurveLeft
^channel walkBackwardCurveLeft! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:12'!
walkBackwardCurveRight
^channel walkBackwardCurveRight! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:12'!
walkForward
^channel walkForward! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:12'!
walkForwardCurveLeft
^channel walkForwardCurveLeft! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:12'!
walkForwardCurveRight
^channel walkForwardCurveRight! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
waveOne
^channel waveOne! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
waveTwo
^channel waveTwo! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:12'!
westernMovieScene
^channel westernMovieScene! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:12'!
worry
^channel worry! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:12'!
youLike
^channel youLike! !

!ISobot methodsFor: 'commands-utility' stamp: 'Richo 2/9/2009 14:12'!
zeroPosition
^channel zeroPosition! !

Object subclass: #ISobotChannelA
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Core'!

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
affirm
^ 16r83F00! !

!ISobotChannelA class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:11'!
airDrum
^ 16r98D00! !

!ISobotChannelA class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:11'!
airGuitar
^ 16rA8E00! !

!ISobotChannelA class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:11'!
amazed
^ 16rB7300! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
applause
^ 16rE7600! !

!ISobotChannelA class methodsFor: 'commands-modes' stamp: 'Richo 2/9/2009 14:47'!
armsMode
	^ 16r68480! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
articulation
^ 16rF8400! !

!ISobotChannelA class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:11'!
banzai
^ 16rB8F00! !

!ISobotChannelA class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:11'!
begOne
^ 16rE6000! !

!ISobotChannelA class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:11'!
begTwo
^ 16rD6E00! !

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
byeFive
^ 16r84600! !

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
byeFour
^ 16r84D00! !

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
byeOne
^ 16rD4A00! !

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
byeThree
^ 16rF4C00! !

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
byeTwo
^ 16rE4B00! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
catch
^ 16rF5A00! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
clink
^ 16r87E00! !

!ISobotChannelA class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:11'!
comboGuard
^ 16rD3C00! !

!ISobotChannelA class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:11'!
comboKick
^ 16rC2E00! !

!ISobotChannelA class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:11'!
comboPunch
^ 16r91D00! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
comingThrough
^ 16rD8900! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
countOnMe
^ 16rE8300! !

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
disagree
^ 16rC4200! !

!ISobotChannelA class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:11'!
dodgeLeft
^ 16rD3600! !

!ISobotChannelA class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:11'!
dodgeRight
^ 16rE3700! !

!ISobotChannelA class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:11'!
doubleBackhand
^ 16rE2100! !

!ISobotChannelA class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:11'!
doubleChop
^ 16rF1B00! !

!ISobotChannelA class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:11'!
duck
^ 16r93800! !

!ISobotChannelA class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:11'!
excitedFour
^ 16r97100! !

!ISobotChannelA class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:11'!
excitedOne
^ 16rB5700! !

!ISobotChannelA class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:11'!
excitedThree
^ 16rE5900! !

!ISobotChannelA class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:11'!
excitedTwo
^ 16rD5800! !

!ISobotChannelA class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:11'!
exercises
^ 16r88C00! !

!ISobotChannelA class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:11'!
forwardSomersault
^ 16rE8A00! !

!ISobotChannelA class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:11'!
giantRobot
^ 16rE9800! !

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
goodMorning
^ 16rE4400! !

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
greetFour
^ 16rC4900! !

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
greetOne
^ 16rF4500! !

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
greetThree
^ 16rB4800! !

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
greetTwo
^ 16r94700! !

!ISobotChannelA class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:11'!
headstandExercises
^ 16rF8B00! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
hideAndSeek
^ 16r95C00! !

!ISobotChannelA class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:11'!
hilarious
^ 16rF7700! !

!ISobotChannelA class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:11'!
japanCheer
^ 16rD9000! !

!ISobotChannelA class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:11'!
leanBackward
^ 16rFD701! !

!ISobotChannelA class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:11'!
leanForward
^ 16rCD706! !

!ISobotChannelA class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:11'!
leftBackKick
^ 16rE2800! !

!ISobotChannelA class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:11'!
leftBackhand
^ 16r81500! !

!ISobotChannelA class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:11'!
leftChop
^ 16rD1900! !

!ISobotChannelA class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:11'!
leftForwardKick
^ 16r92400! !

!ISobotChannelA class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:11'!
leftGuard
^ 16r93200! !

!ISobotChannelA class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:11'!
leftHighKick
^ 16rD2F00! !

!ISobotChannelA class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:11'!
leftOneTwoPunch
^ 16rA1700! !

!ISobotChannelA class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:11'!
leftPunch
^ 16rE1300! !

!ISobotChannelA class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:11'!
leftRightForwardKick
^ 16rB2D00! !

!ISobotChannelA class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:11'!
leftRightRoundhouseKick
^ 16rA2C00! !

!ISobotChannelA class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:11'!
leftRoundhouseKick
^ 16rF2200! !

!ISobotChannelA class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:11'!
leftSideChop
^ 16rA1E00! !

!ISobotChannelA class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:11'!
leftSideKick
^ 16rB2600! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
lift
^ 16rC8100! !

!ISobotChannelA class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:11'!
lockArms
^ 16rCD600! !

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
loveOne
^ 16rD5100! !

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
loveThree
^ 16rF5300! !

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
loveTwo
^ 16rE5200! !

!ISobotChannelA class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:11'!
martialArts
^ 16r89A00! !

!ISobotChannelA class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:11'!
merry
^ 16r87000! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
mysteryFive
^ 16rB6C00! !

!ISobotChannelA class methodsFor: 'commands-mistery' stamp: 'Richo 2/9/2009 14:11'!
mysteryFour
^ 16r86200! !

!ISobotChannelA class methodsFor: 'commands-mistery' stamp: 'Richo 2/9/2009 14:11'!
mysteryOne
^ 16rA7200! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
mysterySix
^ 16rE6F00! !

!ISobotChannelA class methodsFor: 'commands-mistery' stamp: 'Richo 2/9/2009 14:11'!
mysteryThree
^ 16rD7500! !

!ISobotChannelA class methodsFor: 'commands-mistery' stamp: 'Richo 2/9/2009 14:11'!
mysteryTwo
^ 16rC7400! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
needABreak
^ 16rC7A00! !

!ISobotChannelA class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:11'!
painOne
^ 16rF6100! !

!ISobotChannelA class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:11'!
painTwo
^ 16r96300! !

!ISobotChannelA class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:11'!
party
^ 16rA5600! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
poseOne
^ 16rBC700! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
poseThree
^ 16rEC900! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
poseTwo
^ 16rDC800! !

!ISobotChannelA class methodsFor: 'commands-modes' stamp: 'Richo 2/9/2009 14:43'!
programMode
	^ 16rA0800! !

!ISobotChannelA class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:11'!
regretOne
^ 16r85B00! !

!ISobotChannelA class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:11'!
regretThree
^ 16rC5F00! !

!ISobotChannelA class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:11'!
regretTwo
^ 16rB5E00! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
relax
^ 16rB8000! !

!ISobotChannelA class methodsFor: 'commands-modes' stamp: 'Richo 2/9/2009 14:44'!
remotecontrolmode
	^16r80700! !

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
respect
^ 16rD4300! !

!ISobotChannelA class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:11'!
rightBackKick
^ 16rF2900! !

!ISobotChannelA class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:11'!
rightBackhand
^ 16r91600! !

!ISobotChannelA class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:11'!
rightChop
^ 16rE1A00! !

!ISobotChannelA class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:11'!
rightForwardKick
^ 16rA2500! !

!ISobotChannelA class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:11'!
rightGuard
^ 16rA3300! !

!ISobotChannelA class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:11'!
rightHighKick
^ 16rF3000! !

!ISobotChannelA class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:11'!
rightOneTwoPunch
^ 16rC1800! !

!ISobotChannelA class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:11'!
rightPunch
^ 16rF1400! !

!ISobotChannelA class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:11'!
rightRoundhouseKick
^ 16r82300! !

!ISobotChannelA class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:11'!
rightSideChop
^ 16rB1F00! !

!ISobotChannelA class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:11'!
rightSideKick
^ 16rC2700! !

!ISobotChannelA class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:11'!
robotCat
^ 16r89300! !

!ISobotChannelA class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:11'!
robotDog
^ 16rF9200! !

!ISobotChannelA class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:11'!
robotEagle
^ 16r99400! !

!ISobotChannelA class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:11'!
robotGorilla
^ 16rB9600! !

!ISobotChannelA class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:11'!
robotRooster
^ 16rA9500! !

!ISobotChannelA class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:11'!
rotateBackwardClockwise
^ 16r8C103! !

!ISobotChannelA class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:11'!
rotateBackwardCounterClockwise
^ 16r9C203! !

!ISobotChannelA class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:11'!
rotateForwardClockwise
^ 16rEBF03! !

!ISobotChannelA class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:11'!
rotateForwardCounterClockwise
^ 16rFC003! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
showOffFour
^ 16rC8800! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
showOffOne
^ 16r88500! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
showOffThree
^ 16rA8700! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
showOffTwo
^ 16r98600! !

!ISobotChannelA class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:11'!
sidestepLeft
^ 16r9BB03! !

!ISobotChannelA class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:11'!
sidestepRight
^ 16rABC03! !

!ISobotChannelA class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:11'!
slapping
^ 16rD2000! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
soccerOne
^ 16rD8200! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
soccerThree
^ 16r82A00! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
soccerTwo
^ 16r92B00! !

!ISobotChannelA class methodsFor: 'commands-misc' stamp: 'Richo 2/9/2009 14:11'!
soundsOff
^ 16rCD303! !

!ISobotChannelA class methodsFor: 'commands-misc' stamp: 'Richo 2/9/2009 14:11'!
soundsOn
^ 16r9D300! !

!ISobotChannelA class methodsFor: 'commands-modes' stamp: 'Richo 2/9/2009 14:11'!
specialactionmode
^ 16rB0900! !

!ISobotChannelA class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:11'!
splitsNumberOne
^ 16r83100! !

!ISobotChannelA class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:11'!
splitsTwo
^ 16rC3B00! !

!ISobotChannelA class methodsFor: 'commands-standUp' stamp: 'Richo 2/9/2009 14:11'!
standUpFaceDown
^ 16rE3D00! !

!ISobotChannelA class methodsFor: 'commands-standUp' stamp: 'Richo 2/9/2009 14:11'!
standUpFaceUp
^ 16rF3E00! !

!ISobotChannelA class methodsFor: 'commands-misc' stamp: 'Richo 2/9/2009 14:11'!
stop
^ 16rBD500! !

!ISobotChannelA class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:11'!
swayBack
^ 16rA3900! !

!ISobotChannelA class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:11'!
taiChi
^ 16r99B00! !

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
thanksOne
^ 16r94E00! !

!ISobotChannelA class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:11'!
thanksTwo
^ 16rA4F00! !

!ISobotChannelA class methodsFor: 'commands-programming' stamp: 'Richo 2/9/2009 14:11'!
threeSecondPause
^ 16r8CB00! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
tickleMeiSOBOT
^ 16rA7800! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
tipsy
^ 16rC6D00! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
tiredFeet
^ 16rB7900! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
tooSexy
^ 16rF7D00! !

!ISobotChannelA class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:11'!
tropicalDance
^ 16rC9700! !

!ISobotChannelA class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:11'!
turnHeadLeft
^ 16rDD707! !

!ISobotChannelA class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:11'!
turnHeadRight
^ 16rBD70C! !

!ISobotChannelA class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:11'!
twoHandGuardOne
^ 16rB3400! !

!ISobotChannelA class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:11'!
twoHandGuardTwo
^ 16rC3500! !

!ISobotChannelA class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:11'!
upSweepBlock
^ 16rB3A00! !

!ISobotChannelA class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:11'!
upperChop
^ 16r81C00! !

!ISobotChannelA class methodsFor: 'commands-modes' stamp: 'Richo 2/9/2009 14:11'!
voicecontrolmode
^ 16rC0A00! !

!ISobotChannelA class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:11'!
walkBackward
^ 16rEB803! !

!ISobotChannelA class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:11'!
walkBackwardCurveLeft
^ 16rCBD03! !

!ISobotChannelA class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:11'!
walkBackwardCurveRight
^ 16rDBE03! !

!ISobotChannelA class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:11'!
walkForward
^ 16rDB703! !

!ISobotChannelA class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:11'!
walkForwardCurveLeft
^ 16rFB903! !

!ISobotChannelA class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:11'!
walkForwardCurveRight
^ 16r8BA03! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
waveOne
^ 16rD7B00! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
waveTwo
^ 16rE7C00! !

!ISobotChannelA class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:11'!
westernMovieScene
^ 16rF9900! !

!ISobotChannelA class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:11'!
worry
^ 16rA5D00! !

!ISobotChannelA class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:11'!
youLike
^ 16rA6B00! !

!ISobotChannelA class methodsFor: 'commands-utility' stamp: 'Richo 2/9/2009 14:11'!
zeroPosition
^ 16rFCA00! !

Object subclass: #ISobotChannelB
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Core'!

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
affirm^2r1011000011111100000000! !

!ISobotChannelB class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:07'!
airDrum^2r1011011000110100000000! !

!ISobotChannelB class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:07'!
airGuitar^2r1011101000111000000000! !

!ISobotChannelB class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 16:02'!
amazed
^2r1011110111001100000000
       ! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
applause^2r1010100111011000000000! !

!ISobotChannelB class methodsFor: 'commands-modes' stamp: 'Richo 2/9/2009 14:49'!
armsMode
^2r1000101000010010000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
articulation^2r1010111000010000000000! !

!ISobotChannelB class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:07'!
banzai^2r1011111000111100000000! !

!ISobotChannelB class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:07'!
begOne^2r1010100110000000000000! !

!ISobotChannelB class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:07'!
begTwo^2r1010010110111000000000! !

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
byeFive^2r1011000100011000000000! !

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
byeFour^2r1011000100110100000000! !

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
byeOne^2r1010010100101000000000! !

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
byeThree^2r1010110100110000000000! !

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
byeTwo^2r1010100100101100000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
catch^2r1010110101101000000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
clink^2r1011000111111000000000! !

!ISobotChannelB class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:07'!
comboGuard^2r1010010011110000000000! !

!ISobotChannelB class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:07'!
comboKick^2r1010000010111000000000! !

!ISobotChannelB class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:07'!
comboPunch^2r1011010001110100000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
comingThrough^2r1010011000100100000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
countOnMe^2r1010101000001100000000! !

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
disagree^2r1010000100001000000000! !

!ISobotChannelB class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:07'!
dodgeLeft^2r1010010011011000000000! !

!ISobotChannelB class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:07'!
dodgeRight^2r1010100011011100000000! !

!ISobotChannelB class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:07'!
doubleBackhand^2r1010100010000100000000! !

!ISobotChannelB class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:07'!
doubleChop^2r1010110001101100000000! !

!ISobotChannelB class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:07'!
duck^2r1011010011100000000000! !

!ISobotChannelB class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:07'!
excitedFour^2r1011010111000100000000! !

!ISobotChannelB class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:07'!
excitedOne^2r1011110101011100000000! !

!ISobotChannelB class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:07'!
excitedThree^2r1010100101100100000000! !

!ISobotChannelB class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:07'!
excitedTwo^2r1010010101100000000000! !

!ISobotChannelB class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:07'!
exercises^2r1011001000110000000000! !

!ISobotChannelB class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:07'!
forwardSomersault^2r1010101000101000000000! !

!ISobotChannelB class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:07'!
giantRobot^2r1010101001100000000000! !

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
goodMorning^2r1010100100010000000000! !

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
greetFour^2r1010000100100100000000! !

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
greetOne^2r1010110100010100000000! !

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
greetThree^2r1011110100100000000000! !

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
greetTwo^2r1011010100011100000000! !

!ISobotChannelB class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:07'!
headstandExercises^2r1010111000101100000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
hideAndSeek^2r1011010101110000000000! !

!ISobotChannelB class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:07'!
hilarious^2r1010110111011100000000! !

!ISobotChannelB class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:07'!
japanCheer^2r1010011001000000000000! !

!ISobotChannelB class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:07'!
leanBackward^2r1010111101011100000001! !

!ISobotChannelB class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:07'!
leanForward^2r1010001101011100000110! !

!ISobotChannelB class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:07'!
leftBackKick^2r1010100010100000000000! !

!ISobotChannelB class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:07'!
leftBackhand^2r1011000001010100000000! !

!ISobotChannelB class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:07'!
leftChop^2r1010010001100100000000! !

!ISobotChannelB class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:07'!
leftForwardKick^2r1011010010010000000000! !

!ISobotChannelB class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:07'!
leftGuard^2r1011010011001000000000! !

!ISobotChannelB class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:07'!
leftHighKick^2r1010010010111100000000! !

!ISobotChannelB class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:07'!
leftOneTwoPunch^2r1011100001011100000000! !

!ISobotChannelB class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:07'!
leftPunch^2r1010100001001100000000! !

!ISobotChannelB class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:07'!
leftRightForwardKick^2r1011110010110100000000! !

!ISobotChannelB class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:07'!
leftRightRoundhouseKick^2r1011100010110000000000! !

!ISobotChannelB class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:07'!
leftRoundhouseKick^2r1010110010001000000000! !

!ISobotChannelB class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:07'!
leftSideChop^2r1011100001111000000000! !

!ISobotChannelB class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:07'!
leftSideKick^2r1011110010011000000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
lift^2r1010001000000100000000! !

!ISobotChannelB class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:07'!
lockArms^2r1010001101011000000000! !

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
loveOne^2r1010010101000100000000! !

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
loveThree^2r1010110101001100000000! !

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
loveTwo^2r1010100101001000000000! !

!ISobotChannelB class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:07'!
martialArts^2r1011001001101000000000! !

!ISobotChannelB class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:07'!
merry^2r1011000111000000000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
mysteryFive^2r1011110110110000000000! !

!ISobotChannelB class methodsFor: 'commands-mistery' stamp: 'Richo 2/9/2009 14:07'!
mysteryFour^2r1011000110001000000000! !

!ISobotChannelB class methodsFor: 'commands-mistery' stamp: 'Richo 2/9/2009 14:07'!
mysteryOne^2r1011100111001000000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
mysterySix^2r1010100110111100000000! !

!ISobotChannelB class methodsFor: 'commands-mistery' stamp: 'Richo 2/9/2009 14:07'!
mysteryThree^2r1010010111010100000000! !

!ISobotChannelB class methodsFor: 'commands-mistery' stamp: 'Richo 2/9/2009 14:07'!
mysteryTwo^2r1010000111010000000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
needABreak^2r1010000111101000000000! !

!ISobotChannelB class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:07'!
painOne^2r1010110110000100000000! !

!ISobotChannelB class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:07'!
painTwo^2r1011010110001100000000! !

!ISobotChannelB class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:07'!
party^2r1011100101011000000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
poseOne^2r1011111100011100000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
poseThree^2r1010101100100100000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
poseTwo^2r1010011100100000000000! !

!ISobotChannelB class methodsFor: 'commands-modes' stamp: 'Richo 2/9/2009 14:49'!
programMode
^ 2r1011100000100000000000! !

!ISobotChannelB class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:07'!
regretOne^2r1011000101101100000000! !

!ISobotChannelB class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:07'!
regretThree^2r1010000101111100000000! !

!ISobotChannelB class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:07'!
regretTwo^2r1011110101111000000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
relax^2r1011111000000000000000! !

!ISobotChannelB class methodsFor: 'commands-modes' stamp: 'Richo 2/9/2009 14:50'!
remotecontrolmode
	^ 2r1011000000011100000000! !

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
respect^2r1010010100001100000000! !

!ISobotChannelB class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:07'!
rightBackKick^2r1010110010100100000000! !

!ISobotChannelB class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:07'!
rightBackhand^2r1011010001011000000000! !

!ISobotChannelB class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:07'!
rightChop^2r1010100001101000000000! !

!ISobotChannelB class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:07'!
rightForwardKick^2r1011100010010100000000! !

!ISobotChannelB class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:07'!
rightGuard^2r1011100011001100000000! !

!ISobotChannelB class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:07'!
rightHighKick^2r1010110011000000000000! !

!ISobotChannelB class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:07'!
rightOneTwoPunch^2r1010000001100000000000! !

!ISobotChannelB class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:07'!
rightPunch^2r1010110001010000000000! !

!ISobotChannelB class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:07'!
rightRoundhouseKick^2r1011000010001100000000! !

!ISobotChannelB class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:07'!
rightSideChop^2r1011110001111100000000! !

!ISobotChannelB class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:07'!
rightSideKick^2r1010000010011100000000! !

!ISobotChannelB class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:07'!
robotCat^2r1011001001001100000000! !

!ISobotChannelB class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:07'!
robotDog^2r1010111001001000000000! !

!ISobotChannelB class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:07'!
robotEagle^2r1011011001010000000000! !

!ISobotChannelB class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:07'!
robotGorilla^2r1011111001011000000000! !

!ISobotChannelB class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:07'!
robotRooster^2r1011101001010100000000! !

!ISobotChannelB class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:07'!
rotateBackwardClockwise^2r1011001100000100000011! !

!ISobotChannelB class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:07'!
rotateBackwardCounterClockwise^2r1011011100001000000011! !

!ISobotChannelB class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:07'!
rotateForwardClockwise^2r1010101011111100000011! !

!ISobotChannelB class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:07'!
rotateForwardCounterClockwise^2r1010111100000000000011! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
showOffFour^2r1010001000100000000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
showOffOne^2r1011001000010100000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
showOffThree^2r1011101000011100000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
showOffTwo^2r1011011000011000000000! !

!ISobotChannelB class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:07'!
sidestepLeft^2r1011011011101100000011! !

!ISobotChannelB class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:07'!
sidestepRight^2r1011101011110000000011! !

!ISobotChannelB class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:07'!
slapping^2r1010010010000000000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
soccerOne^2r1010011000001000000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
soccerThree^2r1011000010101000000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
soccerTwo^2r1011010010101100000000! !

!ISobotChannelB class methodsFor: 'commands-misc' stamp: 'Richo 2/9/2009 14:07'!
soundsOff^2r1010001101001100000011! !

!ISobotChannelB class methodsFor: 'commands-misc' stamp: 'Richo 2/9/2009 14:07'!
soundsOn^2r1011011101001100000000! !

!ISobotChannelB class methodsFor: 'commands-modes' stamp: 'Richo 2/9/2009 14:07'!
specialactionmode^2r1011110000100100000000! !

!ISobotChannelB class methodsFor: 'commands-kick' stamp: 'Richo 2/9/2009 14:07'!
splitsNumberOne^2r1011000011000100000000! !

!ISobotChannelB class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:07'!
splitsTwo^2r1010000011101100000000! !

!ISobotChannelB class methodsFor: 'commands-standUp' stamp: 'Richo 2/9/2009 14:07'!
standUpFaceDown^2r1010100011110100000000! !

!ISobotChannelB class methodsFor: 'commands-standUp' stamp: 'Richo 2/9/2009 14:07'!
standUpFaceUp^2r1010110011111000000000! !

!ISobotChannelB class methodsFor: 'commands-misc' stamp: 'Richo 2/9/2009 14:07'!
stop^2r1011111101010100000000! !

!ISobotChannelB class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:07'!
swayBack^2r1011100011100100000000! !

!ISobotChannelB class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:07'!
taiChi^2r1011011001101100000000! !

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
thanksOne^2r1011010100111000000000! !

!ISobotChannelB class methodsFor: 'commands-phrases' stamp: 'Richo 2/9/2009 14:07'!
thanksTwo^2r1011100100111100000000! !

!ISobotChannelB class methodsFor: 'commands-programming' stamp: 'Richo 2/9/2009 14:07'!
threeSecondPause^2r1011001100101100000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
tickleMeiSOBOT^2r1011100111100000000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
tipsy^2r1010000110110100000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
tiredFeet^2r1011110111100100000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
tooSexy^2r1010110111110100000000! !

!ISobotChannelB class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:07'!
tropicalDance^2r1010001001011100000000! !

!ISobotChannelB class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:07'!
turnHeadLeft^2r1010011101011100000111! !

!ISobotChannelB class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:07'!
turnHeadRight^2r1011111101011100001100! !

!ISobotChannelB class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:07'!
twoHandGuardOne^2r1011110011010000000000! !

!ISobotChannelB class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:07'!
twoHandGuardTwo^2r1010000011010100000000! !

!ISobotChannelB class methodsFor: 'commands-guard' stamp: 'Richo 2/9/2009 14:07'!
upSweepBlock^2r1011110011101000000000! !

!ISobotChannelB class methodsFor: 'commands-punch' stamp: 'Richo 2/9/2009 14:07'!
upperChop^2r1011000001110000000000! !

!ISobotChannelB class methodsFor: 'commands-modes' stamp: 'Richo 2/9/2009 14:07'!
voicecontrolmode^2r1010000000101000000000! !

!ISobotChannelB class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:07'!
walkBackward^2r1010101011100000000011! !

!ISobotChannelB class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:07'!
walkBackwardCurveLeft^2r1010001011110100000011! !

!ISobotChannelB class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:07'!
walkBackwardCurveRight^2r1010011011111000000011! !

!ISobotChannelB class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:07'!
walkForward^2r1010011011011100000011! !

!ISobotChannelB class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:07'!
walkForwardCurveLeft^2r1010111011100100000011! !

!ISobotChannelB class methodsFor: 'commands-movement' stamp: 'Richo 2/9/2009 14:07'!
walkForwardCurveRight^2r1011001011101000000011! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
waveOne^2r1010010111101100000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
waveTwo^2r1010100111110000000000! !

!ISobotChannelB class methodsFor: 'commands-special' stamp: 'Richo 2/9/2009 14:07'!
westernMovieScene^2r1010111001100100000000! !

!ISobotChannelB class methodsFor: 'commands-emotion' stamp: 'Richo 2/9/2009 14:07'!
worry^2r1011100101110100000000! !

!ISobotChannelB class methodsFor: 'commands-showcase' stamp: 'Richo 2/9/2009 14:07'!
youLike^2r1011100110101100000000! !

!ISobotChannelB class methodsFor: 'commands-utility' stamp: 'Richo 2/9/2009 14:07'!
zeroPosition^2r1010111100101000000000! !

Player subclass: #ISobotPlayer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Etoys'!

!ISobotPlayer class methodsFor: 'as yet unclassified' stamp: 'Richo 2/11/2010 17:53'!
isUniClass
	^ self ~~ self officialClass! !

!ISobotPlayer class methodsFor: 'as yet unclassified' stamp: 'Richo 2/11/2010 17:53'!
officialClass
	^ ISobotPlayer! !

!ISobotPlayer class methodsFor: 'as yet unclassified' stamp: 'Richo 2/11/2010 17:53'!
wantsChangeSetLogging
	"Log changes for Player itself, but not for automatically-created subclasses like Player1, Player2, but *do* log it for uniclasses that have been manually renamed."

	^ (self == self officialClass or:
		[(self name beginsWith: self officialClass asString) not]) or:
			[Preferences universalTiles]! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
affirm
self costume renderedMorph affirm! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
airDrum
self costume renderedMorph airDrum! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
airGuitar
self costume renderedMorph airGuitar! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
amazed
self costume renderedMorph amazed! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
applause
self costume renderedMorph applause! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
armsMode
self costume renderedMorph armsMode! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
articulation
self costume renderedMorph articulation! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
banzai
self costume renderedMorph banzai! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
begOne
self costume renderedMorph begOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
begTwo
self costume renderedMorph begTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
byeFive
self costume renderedMorph byeFive! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
byeFour
self costume renderedMorph byeFour! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
byeOne
self costume renderedMorph byeOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
byeThree
self costume renderedMorph byeThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
byeTwo
self costume renderedMorph byeTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
catch
self costume renderedMorph catch! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
clink
self costume renderedMorph clink! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
comboGuard
self costume renderedMorph comboGuard! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
comboKick
self costume renderedMorph comboKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
comboPunch
self costume renderedMorph comboPunch! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
comingThrough
self costume renderedMorph comingThrough! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 3/3/2009 14:51'!
connect
	self costume renderedMorph connect! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
countOnMe
self costume renderedMorph countOnMe! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
disagree
self costume renderedMorph disagree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
disconnect
self costume renderedMorph disconnect! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
dodgeLeft
self costume renderedMorph dodgeLeft! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
dodgeRight
self costume renderedMorph dodgeRight! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
doubleBackhand
self costume renderedMorph doubleBackhand! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
doubleChop
self costume renderedMorph doubleChop! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
duck
self costume renderedMorph duck! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
excitedFour
self costume renderedMorph excitedFour! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
excitedOne
self costume renderedMorph excitedOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
excitedThree
self costume renderedMorph excitedThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
excitedTwo
self costume renderedMorph excitedTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
exercises
self costume renderedMorph exercises! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
forwardSomersault
self costume renderedMorph forwardSomersault! !

!ISobotPlayer methodsFor: 'slots' stamp: 'Richo 2/9/2009 15:05'!
getChannel
^self costume renderedMorph channel! !

!ISobotPlayer methodsFor: 'slots' stamp: 'Richo 2/13/2009 14:16'!
getIsConnected
^self costume renderedMorph isConnected! !

!ISobotPlayer methodsFor: 'slots' stamp: 'Richo 3/3/2009 14:51'!
getPort
^self costume renderedMorph port! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
giantRobot
self costume renderedMorph giantRobot! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
goodMorning
self costume renderedMorph goodMorning! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
greetFour
self costume renderedMorph greetFour! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
greetOne
self costume renderedMorph greetOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
greetThree
self costume renderedMorph greetThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
greetTwo
self costume renderedMorph greetTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
headstandExercises
self costume renderedMorph headstandExercises! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
hideAndSeek
self costume renderedMorph hideAndSeek! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
hilarious
self costume renderedMorph hilarious! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
japanCheer
self costume renderedMorph japanCheer! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leanBackward
self costume renderedMorph leanBackward! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leanForward
self costume renderedMorph leanForward! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftBackKick
self costume renderedMorph leftBackKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftBackhand
self costume renderedMorph leftBackhand! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftChop
self costume renderedMorph leftChop! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftForwardKick
self costume renderedMorph leftForwardKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftGuard
self costume renderedMorph leftGuard! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftHighKick
self costume renderedMorph leftHighKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftOneTwoPunch
self costume renderedMorph leftOneTwoPunch! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftPunch
self costume renderedMorph leftPunch! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftRightForwardKick
self costume renderedMorph leftRightForwardKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftRightRoundhouseKick
self costume renderedMorph leftRightRoundhouseKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftRoundhouseKick
self costume renderedMorph leftRoundhouseKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftSideChop
self costume renderedMorph leftSideChop! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftSideKick
self costume renderedMorph leftSideKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
lift
self costume renderedMorph lift! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
lockArms
self costume renderedMorph lockArms! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
loveOne
self costume renderedMorph loveOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
loveThree
self costume renderedMorph loveThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
loveTwo
self costume renderedMorph loveTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
martialArts
self costume renderedMorph martialArts! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
merry
self costume renderedMorph merry! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
mysteryFive
self costume renderedMorph mysteryFive! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
mysteryFour
self costume renderedMorph mysteryFour! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
mysteryOne
self costume renderedMorph mysteryOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
mysterySix
self costume renderedMorph mysterySix! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
mysteryThree
self costume renderedMorph mysteryThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
mysteryTwo
self costume renderedMorph mysteryTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
needABreak
self costume renderedMorph needABreak! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
painOne
self costume renderedMorph painOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
painTwo
self costume renderedMorph painTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
party
self costume renderedMorph party! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
poseOne
self costume renderedMorph poseOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
poseThree
self costume renderedMorph poseThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
poseTwo
self costume renderedMorph poseTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
programmode
self costume renderedMorph programmode! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
regretOne
self costume renderedMorph regretOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
regretThree
self costume renderedMorph regretThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
regretTwo
self costume renderedMorph regretTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
relax
self costume renderedMorph relax! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
remotecontrolmode
self costume renderedMorph remotecontrolmode! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
respect
self costume renderedMorph respect! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightBackKick
self costume renderedMorph rightBackKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightBackhand
self costume renderedMorph rightBackhand! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightChop
self costume renderedMorph rightChop! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightForwardKick
self costume renderedMorph rightForwardKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightGuard
self costume renderedMorph rightGuard! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightHighKick
self costume renderedMorph rightHighKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightOneTwoPunch
self costume renderedMorph rightOneTwoPunch! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightPunch
self costume renderedMorph rightPunch! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightRoundhouseKick
self costume renderedMorph rightRoundhouseKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightSideChop
self costume renderedMorph rightSideChop! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightSideKick
self costume renderedMorph rightSideKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
robotCat
self costume renderedMorph robotCat! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
robotDog
self costume renderedMorph robotDog! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
robotEagle
self costume renderedMorph robotEagle! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
robotGorilla
self costume renderedMorph robotGorilla! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
robotRooster
self costume renderedMorph robotRooster! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rotateBackwardClockwise
self costume renderedMorph rotateBackwardClockwise! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rotateBackwardCounterClockwise
self costume renderedMorph rotateBackwardCounterClockwise! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rotateForwardClockwise
self costume renderedMorph rotateForwardClockwise! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rotateForwardCounterClockwise
self costume renderedMorph rotateForwardCounterClockwise! !

!ISobotPlayer methodsFor: 'slots' stamp: 'Richo 2/9/2009 15:05'!
setChannel: anObject
^self costume renderedMorph channel: anObject! !

!ISobotPlayer methodsFor: 'slots' stamp: 'Richo 3/3/2009 14:51'!
setPort: aNumber
	^ self costume renderedMorph port: aNumber! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
showOffFour
self costume renderedMorph showOffFour! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
showOffOne
self costume renderedMorph showOffOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
showOffThree
self costume renderedMorph showOffThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
showOffTwo
self costume renderedMorph showOffTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
sidestepLeft
self costume renderedMorph sidestepLeft! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
sidestepRight
self costume renderedMorph sidestepRight! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
slapping
self costume renderedMorph slapping! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
soccerOne
self costume renderedMorph soccerOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
soccerThree
self costume renderedMorph soccerThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
soccerTwo
self costume renderedMorph soccerTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
soundsOff
self costume renderedMorph soundsOff! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
soundsOn
self costume renderedMorph soundsOn! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
specialactionmode
self costume renderedMorph specialactionmode! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
splitsNumberOne
self costume renderedMorph splitsNumberOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
splitsTwo
self costume renderedMorph splitsTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
standUpFaceDown
self costume renderedMorph standUpFaceDown! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
standUpFaceUp
self costume renderedMorph standUpFaceUp! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
stop
self costume renderedMorph stop! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
swayBack
self costume renderedMorph swayBack! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
taiChi
self costume renderedMorph taiChi! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
thanksOne
self costume renderedMorph thanksOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
thanksTwo
self costume renderedMorph thanksTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
threeSecondPause
self costume renderedMorph threeSecondPause! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
tickleMeiSOBOT
self costume renderedMorph tickleMeiSOBOT! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
tipsy
self costume renderedMorph tipsy! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
tiredFeet
self costume renderedMorph tiredFeet! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
tooSexy
self costume renderedMorph tooSexy! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
tropicalDance
self costume renderedMorph tropicalDance! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
turnHeadLeft
self costume renderedMorph turnHeadLeft! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
turnHeadRight
self costume renderedMorph turnHeadRight! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
twoHandGuardOne
self costume renderedMorph twoHandGuardOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
twoHandGuardTwo
self costume renderedMorph twoHandGuardTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
upSweepBlock
self costume renderedMorph upSweepBlock! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
upperChop
self costume renderedMorph upperChop! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
voicecontrolmode
self costume renderedMorph voicecontrolmode! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
walkBackward
self costume renderedMorph walkBackward! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
walkBackwardCurveLeft
self costume renderedMorph walkBackwardCurveLeft! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
walkBackwardCurveRight
self costume renderedMorph walkBackwardCurveRight! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
walkForward
self costume renderedMorph walkForward! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
walkForwardCurveLeft
self costume renderedMorph walkForwardCurveLeft! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
walkForwardCurveRight
self costume renderedMorph walkForwardCurveRight! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
waveOne
self costume renderedMorph waveOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
waveTwo
self costume renderedMorph waveTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
westernMovieScene
self costume renderedMorph westernMovieScene! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
worry
self costume renderedMorph worry! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
youLike
self costume renderedMorph youLike! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
zeroPosition
self costume renderedMorph zeroPosition! !
ISobotMorph initialize!
